@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800&display=swap");

* {
  padding: 0;
  margin: 0;
  outline: none;
  border: none;
  box-sizing: border-box;
}

img {
  width: 100%;
  display: flex;
}

a {
  text-decoration: none;
}

body {
  font-family: "poppins", sans-serif;
  background-color: #18181b;
}

/* Navbar */
nav {
  margin: auto;
  padding: 2rem 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
}

.nav-logo {
  max-width: 100px;
  margin-left: 10px;
}

.nav-logo h3 {
  color: #fff;
}

.nav-links {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 3rem;
}

.link a {
  position: relative;
  padding-bottom: 0.75rem;
  color: #fff;
}

.link a::after {
  content: "";
  position: absolute;
  height: 2px;
  width: 0;
  bottom: 0;
  left: 0;
  background-color: #1d4ed8;
  transition: all 0.3s ease;
}

.link a:hover::after {
  width: 70%;
}

.btn {
  padding: 1rem 2rem;
  font-size: 1rem;
  color: #fff;
  background-color: #1d4ed8;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s ease;
  margin-right: 10px;
}

.btn:hover {
  background-color: #1e40af;
}

.container {
  max-width: 1200px;
  margin: auto;
  padding: 5rem 2rem;
}

.blur {
  position: absolute;
  box-shadow: 0 0 1000px 50px #1d4ed8;
  z-index: -100;
}

/* Home atau Header */
header {
  position: relative;
  padding-top: 2rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  gap: 2rem;
}

header .content h4 {
  margin-bottom: 1rem;
  color: #ccc;
  font-size: 1rem;
  font-weight: 600;
}

header .content h1 {
  color: #fff;
  margin-bottom: 1rem;
  font-size: 3rem;
  font-weight: 700;
  line-height: 4rem;
}

header .content h1 span {
  -webkit-text-fill-color: transparent;
  -webkit-text-stroke: 1px #fff;
}

header .content p {
  margin-bottom: 2rem;
  color: #ccc;
}

header .image {
  position: relative;
}

header .image::before {
  content: "o";
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  font-size: 38rem;
  font-weight: 400;
  line-height: 20rem;
  color: #1d4ed8;
  opacity: 0.2;
  z-index: -100;
}

header .image img {
  max-width: 600px;
  margin: auto;
}

section .header {
  margin-bottom: 1rem;
  color: #fff;
  text-align: center;
  font-size: 2.25rem;
  font-weight: 600;
}

.home__social {
  display: flex;
  margin-left: 30px;
  flex-direction: row;
  align-self: flex-end;
  gap: 1rem;
  margin-left: -5px;
}

.home__social-icon {
  width: max-content;
  font-size: 50px;
  color: #fff;
}

.home__social-icon:hover {
  color: #1d4ed8;
}

/* About */
.about__container {
  text-align: center;
  display: flex;
  justify-content: space-between;
  gap: 4rem;
  margin-top: 4rem;
}

.about__img {
  transition: 0.3s ease;
  margin-left: 250px;
  border-radius: 0.5rem;
}

.about__img img {
  width: 200px;
  border-radius: 0.5rem;
}

.text-container {
  margin-right: 10px;
}

.about__subtitle {
  text-align: left;
  color: #fff;
}

.about__text {
  text-align: left;
  color: #ccc;
}

/* Skills */
.skills__container {
  display: flex;
  justify-content: space-between;
  row-gap: 2rem;
  text-align: center;
  margin-top: 4rem;
}

.skills-left {
  margin-left: 50px;
}

.skills__subtitle {
  margin-bottom: 1rem;
  color: #fff;
}

.skills__text {
  margin-bottom: 1rem;
  color: #ccc;
  text-align: left;
}

.data-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1.5rem;
  color: #fff;
}

.skills__data {
  margin-top: 1rem;
}

.skills__icon-html {
  font-size: 4.5rem;
  margin-right: var(--mb-2);
  color: #e34c26;
}

.skills__icon-css {
  font-size: 4.5rem;
  margin-right: var(--mb-2);
  color: #264de4;
}

.skills__icon-js {
  font-size: 4.5rem;
  margin-right: var(--mb-2);
  color: #f7df1e;
}

.skills__icon-react {
  font-size: 4.5rem;
  margin-right: var(--mb-2);
  color: #61dbfb;
}

.skills__icon-node {
  font-size: 4.5rem;
  margin-right: var(--mb-2);
  color: #68a063;
}

.skills__names {
  display: flex;
  align-items: center;
}

.picture-container {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 50px;
  transition: 0.3s ease;
  margin-bottom: 1rem;
}

/* Project and Certificate */
.box-container {
  margin-top: 4rem;
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  align-items: center;
  justify-content: center;
}

.box-container .card {
  background-color: #27272a;
  padding: 1rem;
  border: 2px solid transparent;
  border-radius: 15px;
  transition: all 0.3s ease;
  width: 500px;
}

.card img {
  border-radius: 15px;
  width: 450px;
  height: 300px;
  object-fit: cover;
  align-content: center;
  margin-left: 5px;
}

.box-container .card:hover {
  background-color: #323232;
  border-color: #fff;
}

.box-container .card span {
  display: inline-block;
  background-color: #1e40af;
  padding: 2px 9px;
  margin-bottom: 1rem;
  font-size: 1.75rem;
  color: #fff;
  border-radius: 5px;
}

.box-container .card h4 {
  margin-bottom: 0.5rem;
  color: #fff;
  font-size: 1.2rem;
  font-weight: 600;
}

.box-container .card p {
  color: #ccc;
  margin-bottom: 1rem;
}

.box-container .card a {
  color: #fff;
  transition: all 0.3s ease;
}

.box-container .card a:hover {
  color: #1e40af;
}

/* Footer */
.copyright {
  margin: auto;
  padding: 1rem;
  color: #fff;
  font-size: 0.8rem;
  text-align: center;
  background-color: #27272a;
}

@media (width < 900px) {
  .nav-links {
    display: none;
  }
  header {
    grid-template-columns: repeat(1, 1fr);
  }
  header .image {
    grid-area: 1/1/2/2;
  }

  .about__container {
    display: block;
    margin-top: 4rem;
  }
  .about__img {
    margin-left: 250px;
    transition: 0.3s ease;
    border-radius: 0.5rem;
  }
  .about__text {
    text-align: center;
    color: #ccc;
  }
  .about__subtitle {
    text-align: center;
    color: #fff;
  }

  .skills__container {
    display: block;
    text-align: center;
    margin-top: 4rem;
  }

  .skills-left {
    margin-left: 10px;
  }

  .skills__subtitle {
    margin-bottom: 1rem;
    color: #fff;
  }

  .skills__text {
    margin-bottom: 1rem;
    color: #ccc;
    text-align: left;
  }

  .data-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.5rem;
    color: #fff;
  }

  .picture-container {
    display: none;
  }
}

@media (width < 600px) {
  header .image::before {
    display: none;
  }

  .box-container {
    grid-template-columns: repeat(1, 1fr);
  }
  .box-container .card {
    grid-template-columns: repeat(2, 1fr);
    width: 300px;
  }
  .card img {
    border-radius: 15px;
    width: 250px;
    object-fit: cover;
    align-content: center;
    margin-left: 5px;
  }

  .about__container {
    display: block;
    margin-top: 4rem;
  }
  .about__img {
    margin-left: 55px;
    transition: 0.3s ease;
    border-radius: 0.5rem;
  }
  .about__text {
    text-align: center;
    color: #ccc;
  }
  .about__subtitle {
    text-align: center;
    color: #fff;
  }

  .skills__container {
    display: block;
    text-align: center;
    margin-top: 4rem;
  }

  .skills-left {
    margin-left: 10px;
  }

  .skills__subtitle {
    margin-bottom: 1rem;
    color: #fff;
  }

  .skills__text {
    margin-bottom: 1rem;
    color: #ccc;
    text-align: left;
  }

  .data-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1.5rem;
    color: #fff;
  }

  .picture-container {
    display: none;
  }
}
